/*!
* \file partie.h
* \brief Fichier contenant les signatures des fonctions liees a la structure Partie.
*/

#include "structures.h"

#ifndef PARTIE_H
#define PARTIE_H

Partie * initPartie();
void deletePartie(Partie * p);

int getNbTour(Partie * p);
ListJoueur * getListJoueur(Partie * p);
Carte_Jeu * getCarte(Partie * p);
void augmenterNbTour(Partie * p);

int addParticipant(Partie * p, Joueur * j);
int removeParticipant(Partie * p, Joueur * j);

void debutTour(Partie * p);
int finTour(Partie * p);

int isTurn(Partie * p, Joueur * j);
Personnage * jouerPersonnage(Partie * p, Joueur * j, Personnage * perso);
Joueur * appartientJoueur(Personnage * p, Partie * partieEnCours);
Personnage * coordonneesValidesPersonnage(Partie * p, Case * c);

int victoire(Partie * p);

void finPartie(Partie * p);

#endif // PARTIE_H
